# Integrate

## 0. 최신 ADX Flutter SDK 버전 <a href="#adx-unity-library" id="adx-unity-library"></a>

{% hint style="success" %}
Version 1.0.8

Release Date : 2025/09/24
{% endhint %}

## 1. 최소 지원 사양

{% hint style="info" %}

* **Android**
  * compileSdkVersion 35 이상
  * minSdkVersion 23 이상
* **iOS**
  * iOS 13.0 이상
  * Xcode 16.0 이상
  * CocoaPods
    {% endhint %}

{% hint style="danger" %}
앱 스토어 커넥트에 업로드 날짜에 따른 빌드에 사용하는 Xcode 버전 요구사항은 다음과 같습니다.

* 2025년 4월 24일부터: Xcode 16 이상
* 2026년 4월 28일부터: Xcode 26 이상\
  \
  <https://developer.apple.com/kr/news>
  {% endhint %}

## 2. ADX Flutter SDK 추가 (Plugin 설치)

1\) 터미널 명령어로 설치합니다.

```sh
$ flutter pub add adx_sdk
```

2\) pubspec.yaml 에 dependency 입력합니다.

* 터미널 명령어로 설치한 경우 넘어갑니다.
* dependencies에 adx\_sdk 를 추가합니다.

```dart
dependencies:
  adx_sdk: ^1.0.8
```

3\) 마지막으로 ADX SDK Dart 파일을 임포트합니다.

```dart
import 'package:adx_sdk/adx_sdk.dart';
```

## 3. iOS 14+ 지원

iOS 14 이상 지원하는 경우 IDFA (Identifier for Advertisers) 식별자를 얻기 위해 [<mark style="color:blue;">ATT(App Tracking Transparency) Framework</mark>](https://developer.apple.com/documentation/apptrackingtransparency?language=objc)를 반드시 적용해야 합니다. 자세한 방법은 아래 링크를 참고해주세요.

{% content-ref url="/pages/qf24Is73Bo04kaTaKTLf" %}
[App Tracking Transparency](/adx/ios/supporting-ios-14/app-tracking-transparency.md)
{% endcontent-ref %}

유럽 경제 지역 (European Economic Area) 에 서비스 하지 않는 경우 ATT 적용을 위해 [app\_tracking\_transparency](https://pub.dev/packages/app_tracking_transparency) 모듈을 사용하는 방법을 권장드립니다. 이부분은 샘플 프로젝트를 참고해주세요.

## 4. AdMob APP ID 설정

Flutter 프로젝트 내에 존재하는 Android 및 iOS 프로젝트에 AdMob APP ID를 설정합니다.

{% hint style="info" %}
AdMob APP ID를 설정하지 않으면 앱 실행 후, 비정상 종료(Crash)가 발생할 수 있습니다.
{% endhint %}

{% tabs %}
{% tab title="Android" %}

* Flutter 프로젝트 > Android 프로젝트 > AndroidManifest.xml 파일 열기
* \<meta-data>태그에 "com.google.android.gms.ads.APPLICATIONID"와 발급된 애드몹의 APP ID를 추가.

```xml
<application>
    <meta-data
        android:name="com.google.android.gms.ads.APPLICATION_ID"
        android:value="YOUR_ADMOB_APP_ID"/>
</application>
```

{% endtab %}

{% tab title="iOS" %}

* Flutter 프로젝트 > iOS 프로젝트 > info.plist 파일 열기
* GADApplicationIdentifier 키와 발급된 AdMob APP ID 추가

```
<key>GADApplicationIdentifier</key>
<string>YOUR_ADMOB_APP_ID</string>
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://platform-business.gitbook.io/adx/flutter/integrate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
